diff --git a/radio/src/gui/colorlcd/view_statistics.cpp b/radio/src/gui/colorlcd/view_statistics.cpp
index 205515f2d2f..2b51c26baa7 100644
--- a/radio/src/gui/colorlcd/view_statistics.cpp
+++ b/radio/src/gui/colorlcd/view_statistics.cpp
@@ -154,6 +154,10 @@ void StatisticsViewPage::build(FormWindow *window)
         g_eeGeneral.globalTimer = 0;
         storageDirty(EE_GENERAL);
         sessionTimer = 0;
+        s_timeCumThr = 0;
+        s_timeCum16ThrP = 0;
+        s_traceWr = 0;
+        curve->invalidate();
         return 0;
       },
       BUTTON_BACKGROUND);
